Subject: AW: bug#63251: 28.2; vhdl-mode contribution

From: Cyril Arnould <[email-masked]>
Date: Sun, 7 May 2023 18:56:59 +0000

I ran into some issues, but got it to work with the following:

;; option `vhdl-compiler-alist' changed format (3.38.1)
(when (= (length (nth 11 (car vhdl-compiler-alist))) 4)
    (setq vhdl-compiler-alist
        (mapcar (lambda (entry)
                  ;; Add a `2' to the end of the list that is element #11.
                  (append (butlast entry 3)
                          (list (append (nth 11 entry) (list 2)))
                          (nthcdr 12 entry)))
                vhdl-compiler-alist))
  (customize-save-variable 'vhdl-compiler-alist vhdl-compiler-alist))

Von: Mattias Engdegård<mailto:[email-masked]>
Gesendet: Sonntag, 7. Mai 2023 19:53
An: Cyril Arnould<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; Reto Zimmermann<mailto:[email-masked]>; Eli Zaretskii<mailto:[email-masked]>
Betreff: Re: bug#63251: 28.2; vhdl-mode contribution

7 maj 2023 kl. 19.48 skrev Cyril Arnould <[email-masked]>:

> I would
> change the «Warning and Info» text though, seen as the
> compilation command can differentiate between Warnings, Infos AND
> Errors using the expression. Maybe «Type detection»? Or «Type
> detection via regexp»?

No opinion here.

> Couldn't test your changes though as I'm still on Emacs 28.2.

Replace (take 11 entry) with (butlast 3 entry) and it will work with any Emacs version.